- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# Component Class Reference

Search for all occurrences

## Detailed Description

This class represents a component in map extraction, like Displacement, Ambient occlusion, etc...

Definition at line 122 of file MapExtractorAPI.h.

`#include <MapExtractorAPI.h>`

Inheritance diagram for Component:
[legend]

List of all members.

## Public Member Functions
bool | IsEnabled (void) const
| Returns true, if the component is enabled. Only enabled components are used during extraction.
void | SetEnabled (bool bEnable)
| Turns a component on or off. Each component is disabled by default. At least one component has to be enalbed, otherwise the extraction does nothing.
enum VertexAction | VertexAction (void) const
| Returns the current vertex action. This is only valid if utilizer type is set to vertex.
void | SetVertexAction (enum VertexAction eAction)
| Sets the current vertex action. This is the action Mudbox performs on each vertex of the target mesh after the extraction. This is only valid if utilizer type is set to vertex.
QString | FileName (void) const
| Return the name of the file(s) produced by mudbox after map extraction. This is only valid if utilizer type is set to texture or ptex.
void | SetFileName (const QString &sFileName)
| Sets the name of the file(s) produced by mudbox after map extraction.
bool | Preview (void) const
| Return true if Mudbox should use the result texture as a preview in rendering. This is only valid if utilizer type is set to texture.
void | SetPreview (bool bEnable)
| Turns on/off preview in rendering after extraction. This is only valid if utilizer type is set to texture.
Space | VertexMoveSpace (void) const
| Returns the space what the vertex move action uses. This is only valid if utilizer type is set to vertex, and vertex action is set to move. Only the following spaces are used: world, object, tangent.
void | SetVertexMoveSpace (Space eSpace)
| Sets the space what the vertex move action uses. This is only valid if utilizer type is set to vertex, and vertex action is set to move. Only the following spaces are used: world, object, tangent.
mudbox::Vector | VertexFactor (void) const
void | SetVertexFactor (const mudbox::Vector &vFactor)
mudbox::Vector | VertexOffset (void) const
void | SetVertexOffset (const mudbox::Vector &vOffset)
QString | LayerNameForVertexAction (void) const
| Return the name of the layer which should be used as the target for the set sculpt layer mask action. This is only valid if utilizer type is set to vertex, and vertex action is set to vaSculptLayerMask.
void | SetLayerNameForVertexAction (const QString &sLayerName)
| Sets the name of the layer which should be used as the target for the set sculpt layer mask action. This is only valid if utilizer type is set to vertex, and vertex action is set to vaSculptLayerMask.
## Protected Member Functions
| Component (void)
## Protected Attributes
mudbox::aptr < mapextractionmodules::Component > | m_pComponent
## Friends
class | Extractor

## Constructor & Destructor Documentation

Component | ( | void |  | ) | `[protected]`

## Member Function Documentation

bool IsEnabled | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns true, if the component is enabled. Only enabled components are used during extraction.

Definition at line 130 of file MapExtractorAPI.h.

    { return m_pComponent->m_bEnabled; };

void SetEnabled | ( | bool | bEnable | ) | `[inline]`

Search for all occurrences

Turns a component on or off. Each component is disabled by default. At least one component has to be enalbed, otherwise the extraction does nothing.

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 132 of file MapExtractorAPI.h.

    { m_pComponent.CheckValidity(); m_pComponent->m_bEnabled = bEnable; m_pComponent->m_pMapExtractor->ValidityChanged(); };

enum VertexAction VertexAction | ( | void |  | ) | const

Search for all occurrences

Returns the current vertex action. This is only valid if utilizer type is set to vertex.

void SetVertexAction | ( | enum VertexAction | eAction | ) |

Search for all occurrences

Sets the current vertex action. This is the action Mudbox performs on each vertex of the target mesh after the extraction. This is only valid if utilizer type is set to vertex.

Examples:
  MeshDisplace/displacer.cpp.

QString FileName | ( | void |  | ) | const

Search for all occurrences

Return the name of the file(s) produced by mudbox after map extraction. This is only valid if utilizer type is set to texture or ptex.

void SetFileName | ( | const QString & | sFileName | ) |

Search for all occurrences

Sets the name of the file(s) produced by mudbox after map extraction.

This is only valid if utilizer type is set to texture or ptex. When the utilizer type is set to texture, and the mesh has multiple tiles, the tile ID is encoded to the name of each image file generated.

bool Preview | ( | void |  | ) | const

Search for all occurrences

Return true if Mudbox should use the result texture as a preview in rendering. This is only valid if utilizer type is set to texture.

void SetPreview | ( | bool | bEnable | ) |

Search for all occurrences

Turns on/off preview in rendering after extraction. This is only valid if utilizer type is set to texture.

Space VertexMoveSpace | ( | void |  | ) | const

Search for all occurrences

Returns the space what the vertex move action uses. This is only valid if utilizer type is set to vertex, and vertex action is set to move. Only the following spaces are used: world, object, tangent.

void SetVertexMoveSpace | ( | Space | eSpace | ) |

Search for all occurrences

Sets the space what the vertex move action uses. This is only valid if utilizer type is set to vertex, and vertex action is set to move. Only the following spaces are used: world, object, tangent.

Examples:
  MeshDisplace/displacer.cpp.

mudbox::Vector VertexFactor | ( | void |  | ) | const

Search for all occurrences

void SetVertexFactor | ( | const mudbox::Vector & | vFactor | ) |

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

mudbox::Vector VertexOffset | ( | void |  | ) | const

Search for all occurrences

void SetVertexOffset | ( | const mudbox::Vector & | vOffset | ) |

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

QString LayerNameForVertexAction | ( | void |  | ) | const

Search for all occurrences

Return the name of the layer which should be used as the target for the set sculpt layer mask action. This is only valid if utilizer type is set to vertex, and vertex action is set to vaSculptLayerMask.

void SetLayerNameForVertexAction | ( | const QString & | sLayerName | ) |

Search for all occurrences

Sets the name of the layer which should be used as the target for the set sculpt layer mask action. This is only valid if utilizer type is set to vertex, and vertex action is set to vaSculptLayerMask.

Examples:
  MeshDisplace/displacer.cpp.

## Friends And Related Function Documentation

friend class Extractor `[friend]`

Search for all occurrences

Definition at line 164 of file MapExtractorAPI.h.

## Member Data Documentation

mudbox::aptr<mapextractionmodules::Component> m_pComponent `[protected]`

Search for all occurrences

Definition at line 126 of file MapExtractorAPI.h.

The documentation for this class was generated from the following file:

- MapExtractorAPI/MapExtractorAPI.h

Component Component Component Component Component Component Component Component Component Component
Component Component Component Component Component Component Component Component Component Component